#
# spec file for package mtpfs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011-2012 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mtpfs
Version:        1.1
Release:        150400.3.pm.3
Summary:        FUSE filesystem that supports MTP devices
License:        GPL-3.0
Group:          Productivity/Multimedia/Other
Url:            https://github.com/Feandil/mtpfs
Source0:        https://github.com/Feandil/mtpfs/archive/mtpfs-master.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(fuse) >= 2.2
BuildRequires:  pkgconfig(gio-2.0) >= 2.6
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(gthread-2.0) >= 1.2
BuildRequires:  pkgconfig(libmtp) >= 1.1.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MTPfs is a FUSE filesystem that supports reading and writing from any
MTP device supported by libmtp.

%prep
%setup -q -n mtpfs-master

%build
bash -ex autogen.sh
%configure
make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}

%changelog
* Fri Dec 12 2014 olaf@aepfle.de
- Use https://github.com/Feandil/mtpfs
  git commit 62cd906959
* Tue Apr 10 2012 malcolmlewis@opensuse.org
- Updated to version 1.1:
  + Support added for Multiple storage areas.
  + Many, many bugfixes.
- Add mtpfs-fix-no-return-in-nonvoid-function.patch: Fix no
  return in mtpfs.c,
  see http://code.google.com/p/mtpfs/issues/detail?id=33.
* Sat Sep 17 2011 malcolmlewis@opensuse.org
- Updated to version 1.0
- Drop mtpfs-fix-bufferoverflowstrncat-and-stringcompare
  - errors.patch as code has now been fixed.
* Fri Sep  9 2011 malcolmlewis@opensuse.org
- Initial build
- Add patch to fix brp strcpm and strncat errors mtpfs-fix-
  bufferoverflowstrncat-and-stringcompare-errors.patch.
